<?php

class AnwTemplateDefault_stepinstall_grant_admin extends AnwTemplateDefaultStepInstall
{
	function chooseGrantNotSupported($sLinkContinue, $sLinkDriver)
	{
		$sGoDriverLabel = AnwUtils::escapeQuote($this->t_("grant_not_supported_godriver"));
		$sGoNotSupportedLabel = AnwUtils::escapeQuote($this->t_("grant_not_supported_go"));
		
		$HTML = <<<EOF

<div class="explain">
	{$this->t_("grant_not_supported")}<br/>
	<input type="button" class="inabort inbuttonbig" value="&lt;&lt; {$sGoDriverLabel}" onclick="window.location.href='$sLinkDriver'"/>
	<input type="button" class="inbutton inbuttonbig" value="{$sGoNotSupportedLabel} &gt;&gt;" onclick="window.location.href='$sLinkContinue'" />
</div>
EOF;
		return $HTML;
	}
	
	function chooseGrant($sTarget, $bCanCreateUser, $sLogin, $sDisplayname, $sEmail, $sExistingLogin, $sErrorCreate, $sErrorExisting)
	{
		$HTML = <<<EOF

<div class="explain">
	{$this->t_("choose_explain")}
</div>

<table style="width:100%;">
<tr>
<td style="width:50%;vertical-align:top;padding:1em;">
	<h2>{$this->t_("choose_create_t")}</h2>
	{$this->errorList($sErrorCreate)}
	<fieldset>
		<legend>{$this->t_("choose_create_t")}</legend>
EOF;
		$sSubmitLabel = AnwUtils::escapeQuote(self::g_("in_submit"));
		if ($bCanCreateUser)
		{
			$HTML .= <<<EOF

		<form action="$sTarget" method="post">
			<label>{$this->g_('user_login')} : <input type="text" name="login" value="$sLogin" class="intext"/></label><br/>
			<label>{$this->g_('user_displayname')} : <input type="text" name="displayname" value="$sDisplayname" class="intext"/></label><br/>
			<label>{$this->g_('user_email')} : <input type="text" name="email" value="$sEmail" class="intext"/></label><br/>
			<label>{$this->g_('user_password')} : <input type="password" name="password" value="" class="intext"/></label><br/>
			<input type="submit" name="submit_create" value="{$sSubmitLabel}"/><br/>
		</form>
EOF;
		}
		else
		{
			$HTML .= <<<EOF

		{$this->t_("choose_create_notsupported")}
EOF;
		}
		$HTML .= <<<EOF

	</fieldset>
</td>

<td style="vertical-align:top;padding:1em;">
	<h2>{$this->t_("choose_existing_t")}</h2>
	{$this->errorList($sErrorExisting)}
	<fieldset>
		<legend>{$this->t_("choose_existing_t")}</legend>
		<form action="$sTarget" method="post">
			<label>{$this->g_('user_login')} : <input type="text" name="login" value="$sExistingLogin" class="intext"/></label><br/>
			<label>{$this->g_('user_password')} : <input type="password" name="password" value="" class="intext"/></label>
			<input type="submit" name="submit_existing" value="{$sSubmitLabel}"/><br/>
		</form>
	</fieldset>
</td>
</tr>
</table>
EOF;
		return $HTML;
	}
	
	function formGrantExisting($sTarget)
	{
		$HTML = <<<EOF

<form action="$sTarget" method="POST">

</form>
EOF;
		return $HTML;
	}
}

?>